Bug 215829 - irc/irssi-xmpp: Broken with irssi 1.0.0 (changes SSL to TLS)
Summary: irc/irssi-xmpp: Broken with irssi 1.0.0 (changes SSL to TLS)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-06 14:02 UTC by p5B2E9A8F
Modified: 2017-02-12 18:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jadawin)


Attachments
fix build with irssi-1.0 (1.72 KB, patch)
2017-01-06 16:19 UTC, Vanilla I. Shu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2017-01-06 14:02:01 UTC
from irssi 1.0.0 upgrade notice:
+ Always build irssi with TLS support.
	+ Rename SSL to TLS in the code and add -tls_* versions of the -ssl_*
	  options to /CONNECT and /SERVER, but make sure the -ssl_* options continue to work.

Error building irssi-xmpp:
cc  -O2 -pipe  -fstack-protector -fno-strict-aliasing -fPIC   -I../../src/core  -I/usr/local/include/irssi  -I/usr/local/include/irssi/src  -I/usr/local/include/irssi/src/core  -I/usr/local/include/irssi/src/fe-common/core  -I/usr/local/include/irssi/src/fe-text  `pkg-config --cflags loudmouth-1.0` -o xmpp-servers.o -c xmpp-servers.c
xmpp-servers.c:154:45: error: no member named 'use_ssl' in 'struct _XMPP_SERVER_CONNECT_REC'
                server->connrec->port = (server->connrec->use_ssl) ?
                                         ~~~~~~~~~~~~~~~  ^
xmpp-servers.c:338:23: error: no member named 'use_ssl' in 'struct _XMPP_SERVER_CONNECT_REC'
        if (server->connrec->use_ssl)
            ~~~~~~~~~~~~~~~  ^
xmpp-servers.c:473:23: error: no member named 'use_ssl' in 'struct _XMPP_SERVER_CONNECT_REC'
        if (server->connrec->use_ssl) {
            ~~~~~~~~~~~~~~~  ^
3 errors generated.
*** Error code 1
Comment 1 Vanilla I. Shu freebsd_committer 2017-01-06 16:19:53 UTC
Created attachment 178577 [details]
fix build with irssi-1.0
Comment 2 Ryan Steinmetz freebsd_committer freebsd_triage 2017-01-28 20:40:13 UTC
Committed, maintainer timeout 3+ weeks.
Comment 3 commit-hook freebsd_committer 2017-01-28 20:41:43 UTC
A commit references this bug:

Author: zi
Date: Sat Jan 28 20:40:55 UTC 2017
New revision: 432650
URL: https://svnweb.freebsd.org/changeset/ports/432650

Log:
  - Resolve build failure after update of irc/irssi to 1.0.0 [1]
  - Bump PORTREVISION [1]
  - strip(1) installed modules
  - Add USES+=gettext-runtime as we link against it
  - Add USE_GNOME+=glib20 as we link against it

  PR:		215829 [1]
  Submitted by:	p5B2E9A8F@t-online.de
  Obtained from:	upstream commit d56d614b89ecc34845e0f5971c545b893c2c359a
  Approved by:	jadawin@ (maintainer timeout, 3+ weeks)

Changes:
  head/irc/irssi-xmpp/Makefile
  head/irc/irssi-xmpp/files/
  head/irc/irssi-xmpp/files/patch-d56d614b89ecc34845e0f5971c545b893c2c359a
Comment 4 commit-hook freebsd_committer 2017-02-12 18:00:00 UTC
A commit references this bug:

Author: brnrd
Date: Sun Feb 12 17:59:34 UTC 2017
New revision: 433956
URL: https://svnweb.freebsd.org/changeset/ports/433956

Log:
  irc/irssi-xmpp: Fix build with irssi < 1.0

   - Remove patch for irssi >= 1.0
   - irc/irssi is currently at 0.8

  PR:             215829
  Approved by:    just-fix-it blanket

Changes:
  head/irc/irssi-xmpp/Makefile
  head/irc/irssi-xmpp/files/